# keepalived Cookbook

[![Cookbook Version](https://img.shields.io/cookbook/v/keepalived.svg)](https://supermarket.chef.io/cookbooks/keepalived)
[![CI State](https://github.com/sous-chefs/keepalived/workflows/ci/badge.svg)](https://github.com/sous-chefs/keepalived/actions?query=workflow%3Aci)
[![OpenCollective](https://opencollective.com/sous-chefs/backers/badge.svg)](#backers)
[![OpenCollective](https://opencollective.com/sous-chefs/sponsors/badge.svg)](#sponsors)
[![License](https://img.shields.io/badge/License-Apache%202.0-green.svg)](https://opensource.org/licenses/Apache-2.0)

Installs keepalived and generates the configuration files, using resource-driven configuration.

## Maintainers

This cookbook is maintained by the Sous Chefs. The Sous Chefs are a community of Chef cookbook maintainers working together to maintain important cookbooks. If you’d like to know more please visit [sous-chefs.org](https://sous-chefs.org/) or come chat with us on the Chef Community Slack in [#sous-chefs](https://chefcommunity.slack.com/messages/C2V7B88SF).

## Requirements

### Platforms

- Debian/Ubuntu
- RHEL/CentOS/Scientific/Amazon/Oracle

### Chef

- Chef 15.3+

## Recommended Background Reading

- `man:keepalived(8)`
- `man:keepalived.conf(5)`
- [Keepalived Documentation](https://github.com/acassen/keepalived/tree/master/doc)

## Resources

- [keepalived_global_defs](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_global_defs.md)
- [keepalived_http_get](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_http_get.md)
- [keepalived_misc_check](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_misc_check.md)
- [keepalived_real_server](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_real_server.md)
- [keepalived_smtp_check](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_smtp_check.md)
- [keepalived_ssl_get](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_ssl_get.md)
- [keepalived_static_ipaddress](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_static_ipaddress.md)
- [keepalived_static_routes](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_static_routes.md)
- [keepalived_tcp_check](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_tcp_check.md)
- [keepalived_virtual_server_group](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_virtual_server_group.md)
- [keepalived_virtual_server](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_virtual_server.md)
- [keepalived_vrrp_instance](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_vrrp_instance.md)
- [keepalived_vrrp_script](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_vrrp_script.md)
- [keepalived_vrrp_sync_group](https://github.com/sous-chefs/keepalived/tree/master/documentation/keepalived_vrrp_sync_group.md)

## Contributors

This project exists thanks to all the people who [contribute.](https://opencollective.com/sous-chefs/contributors.svg?width=890&button=false)

### Backers

Thank you to all our backers!

![https://opencollective.com/sous-chefs#backers](https://opencollective.com/sous-chefs/backers.svg?width=600&avatarHeight=40)

### Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website.

![https://opencollective.com/sous-chefs/sponsor/0/website](https://opencollective.com/sous-chefs/sponsor/0/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/1/website](https://opencollective.com/sous-chefs/sponsor/1/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/2/website](https://opencollective.com/sous-chefs/sponsor/2/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/3/website](https://opencollective.com/sous-chefs/sponsor/3/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/4/website](https://opencollective.com/sous-chefs/sponsor/4/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/5/website](https://opencollective.com/sous-chefs/sponsor/5/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/6/website](https://opencollective.com/sous-chefs/sponsor/6/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/7/website](https://opencollective.com/sous-chefs/sponsor/7/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/8/website](https://opencollective.com/sous-chefs/sponsor/8/avatar.svg?avatarHeight=100)
![https://opencollective.com/sous-chefs/sponsor/9/website](https://opencollective.com/sous-chefs/sponsor/9/avatar.svg?avatarHeight=100)
